[arch-commits] Commit in kdebase-workspace/trunk (PKGBUILD libpng-1.4.patch)

Pierre Schmitz pierre at archlinux.org
Mon Jan 18 12:43:04 UTC 2010


    Date: Monday, January 18, 2010 @ 07:43:04
  Author: pierre
Revision: 63747

add libpng-1.4.patch

Added:
  kdebase-workspace/trunk/libpng-1.4.patch
Modified:
  kdebase-workspace/trunk/PKGBUILD

------------------+
 PKGBUILD         |    8 ++++++--
 libpng-1.4.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-18 12:34:36 UTC (rev 63746)
+++ PKGBUILD	2010-01-18 12:43:04 UTC (rev 63747)
@@ -26,7 +26,8 @@
         'etc/pam.d/kscreensaver')
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
         'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam'
-        'fixpath.patch' 'terminate-server.patch')
+        'fixpath.patch' 'terminate-server.patch'
+        'libpng-1.4.patch')
 md5sums=('5ae53ccb3c7783d466b353bdf7a6e532'
          '721e97031b62aee8914e8617e86f9235'
          '5d80164932e0d44d8b802d3929a004ab'
@@ -34,13 +35,16 @@
          '552337fd9a3982d809ea16c7f0033d42'
          '367a3538f54db71f108b34cfa31088ac'
          '47a1f12673f66e62e2463efd7037a26a'
-         '814350c52c135d6f7bdada1e29223d38')
+         '814350c52c135d6f7bdada1e29223d38'
+         '87693be733f80edb1923dd4757263d2b')
 
 build() {
 	cd ${srcdir}/${pkgname}-${pkgver}
 	patch -p0 -i ${srcdir}/kdm-zsh-profile.patch || return 1
 	patch -p0 -i ${srcdir}/fixpath.patch || return 1
 	patch -p0 -i ${srcdir}/terminate-server.patch || return 1
+	# fixed in 4.4
+	patch -p0 -i ${srcdir}/libpng-1.4.patch || return 1
 
 	cd ${srcdir}
 	mkdir build

Added: libpng-1.4.patch
===================================================================
--- libpng-1.4.patch	                        (rev 0)
+++ libpng-1.4.patch	2010-01-18 12:43:04 UTC (rev 63747)
@@ -0,0 +1,26 @@
+--- ksplash/ksplashx/qpngio.cpp	(Revision 1076588)
++++ ksplash/ksplashx/qpngio.cpp	(Revision 1076588)
+@@ -151,7 +151,11 @@
+ 		image.setColor( i, qRgba(c,c,c,0xff) );
+ 	    }
+ 	    if ( png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS) ) {
++#if PNG_LIBPNG_VER < 10400
+ 		const int g = info_ptr->trans_values.gray;
++#else
++		const int g = info_ptr->trans_color.gray;
++#endif
+ 		if (g < ncols) {
+ 		    image.setAlphaBuffer(true);
+ 		    image.setColor(g, image.color(g) & RGB_MASK);
+@@ -179,7 +183,11 @@
+ 		    info_ptr->palette[i].red,
+ 		    info_ptr->palette[i].green,
+ 		    info_ptr->palette[i].blue,
++#if PNG_LIBPNG_VER < 10400
+ 		    info_ptr->trans[i]
++#else
++		    info_ptr->trans_alpha[i]
++#endif
+ 		    )
+ 		);
+ 		i++;




More information about the arch-commits mailing list